#ifndef GLOBALVARS
#define GLOBALVARS

/* class-types from header files */
#include <Arduino.h>
#include <ESP8266WebServer.h>
#include <ezTime.h>

#if BUILD_DEBUG == 1
#define debug(debugMSG...) Serial.print(debugMSG)
#define debugln(debugMSG...) Serial.println(debugMSG)
#else
#define debug(debugMSG...)
#define debugln(debugMSG...)
#endif

/* global vars */
extern ESP8266WebServer server;
extern Timezone myTime;
extern char time_all[8][8][3];
extern char stat[1][4];
extern char settings_html[];
extern char home_html[];
extern bool override[];
extern const unsigned int pins[];
extern int temperatureSet;
extern int minTemperatureSet;
extern int temperature;

#endif
